Scion_20070603_3.JPG=Scion - Front Seats
Scion_20070603_4.JPG=Scion - Back Seats
Scion_20070603_5.JPG=Scion - Back
Scion_20070603_2.JPG=Scion - Back
Scion_20070603_6.JPG=Scion - Back
robot @ Home=Home robot!
ScionXbDashPower=Adding Dashboard power connectors (sockets) to the 2008 Scion XB. Uses power wire through the firewall directly to the battery.
Scion_20070603_1.JPG=Scion - Front
